@import url("./base.css");

main {
	height: fit-content;
	min-height: 30vh;
	display: flex;
	width: calc(100% - 12.125 * 2);
	flex-direction: column;
	border-radius: 0 0 12.136vw 12.136vw;
	background-color: var(--globe-color);
	height: fit-content;
	display: flex;
	padding: 6.761vh 5.825vw 3.272vh 5.825vw;
}

.event-title {
	flex-direction: column;
	gap: 5.825vw;
	margin-bottom: 2.885vh;
}

.event-title h2 {
	font-size: var(--h2);
	color: var(--primary-color);
	font-family: "TT Tsars B";
	font-weight: bold;
	text-transform: uppercase;
	height: fit-content;
}

.event-title a {
	display: flex;
	flex-direction: row;
	gap: 0.971vw;
	width: fit-content;
	text-transform: uppercase;
	text-decoration: none;
	border: none;
	background-color: var(--globe-color);
	align-items: end;
	height: fit-content;
}

.event-title span {
	font-size: var(--navigation);
	color: var(--tetriary-color);
	font-family: "Muller";
	text-decoration: none;
	height: fit-content;
	line-height: 90%;
	text-anchor: end;
}

.event-title img {
	padding: 0.436vh 0.646vw;
	width: 2.67vw;
	height: auto;
}

.event-title a:hover img {
	-moz-transform: scale(-1, 1);
	-o-transform: scale(-1, 1);
	-webkit-transform: scale(-1, 1);
	transform: scale(-1, 1);
}

.items {
	width: 100%;
	height: fit-content;
	display: flex;
	flex-direction: column;
	gap: 6.979vh;
}

.item {
	display: flex;
	flex-direction: column;
	gap: 2.617vh;
}

.item-preview {
	width: fit-content;
	height: auto;
}

.item-preview img {
	width: 100%;
	height: 26.39vh;
	border-radius: 7.282vw;
}

.item-about {
	display: flex;
	flex-direction: column;
	gap: 1.745vh;
}

.item-title {
	font-size: var(--h4);
	font-family: "Muller";
	font-weight: bold;
	color: var(--secondary-color);
	width: 100%;
	-o-text-overflow: ellipsis;
	-ms-text-overflow: ellipsis;
	text-overflow: ellipsis;
	text-transform: uppercase;
}

.item-info {
	display: flex;
	flex-direction: column;
	gap: 1.309vh;
}

.item-when {
	display: flex;
	flex-direction: row;
	font-size: var(--text);
	font-family: "Muller";
	gap: 0.971vw;
	align-items: start;
}

.item-when img {
	width: 2.913vw;
	height: auto;
	padding: 0.073vh 0.485vw 0.218vh 0.485vw;
}

.item-when span {
	line-height: 100%;
	text-anchor: end;
	color: var(--secondary-color);
}

.item-description {
	font-size: var(--text);
	color: var(--tetriary-color);
	font-family: "Muller";
	line-height: 150%;
	height: 4lh;
}

.item-description > span {
	overflow: hidden;
}

.item-more {
	width: 100%;
	text-align: center;
	line-height: 90%;
	font-family: "Muller";
	font-weight: bold;
	font-size: var(--text);
	padding: 1.091vh 0 1.091vh 0;
	color: var(--primary-inv);
	background-color: var(--accent);
	border-radius: 6.068vw;
	text-decoration: none;
	margin-top: 0.436vh;
}

.nav {
	margin-top: 6.979vh;
	display: flex;
	flex-direction: row;
	width: 100%;
	align-items: center;
	justify-content: space-between;
	font-family: "Inter Semi";
	font-weight: normal;
	font-size: 3.398vw;
}

.pages.desktop {
	display: none;
}

.nav button,
.pages.mobile,
.pages.desktop span {
	color: #414651;
}

.arrow {
	display: flex;
	gap: 0.625vw;
	flex-direction: row;
	align-items: center;
	font-family: "Inter Semi";
	font-weight: bold;
}

.arrow-disabled {
	visibility: hidden;
}

.arrow img {
	width: 2.913vw;
	height: auto;
	padding: 1.327vh 2.954vw;
}

.arrow:last-child img {
	rotate: 180deg;
}

.arrow span {
	display: none;
	color: var(--tetriary-color);
}

@media screen and (orientation: landscape) {
	main {
		border-radius: 0 0 3.906vw 3.906vw;
		padding: 11.346vh 2.5vw 7.692vh 2.5vw;
	}

	.event-title {
		gap: 5.529vh;
		margin-bottom: 4.58vh;
	}

	.event-title a {
		gap: 0.313vw;
	}

	.event-title img {
		width: 0.859vw;
		padding: 0.481vh 0.208vw;
	}

	.items {
		gap: 2.885vh;
	}

	.item {
		flex-direction: row;
		gap: 2.5vw;
	}

	.item-preview {
		height: fit-content;
		width: auto;
	}

	.item-preview img {
		border-radius: 2.344vw;
		height: auto;
		width: 30vw;
		aspect-ratio: 3/2;
	}

	.item-about {
		gap: 2.885vh;
		margin: 1.382vh 0;
	}

	.item-info {
		gap: 1.923vh;
	}

	.item-when {
		gap: 0.313vw;
		font-size: var(--text-small);
		align-items: end;
	}

	.item-when img {
		width: 0.938vw;
		padding: 0.081vh 0.156vw 0.24vh 0.156vw;
		align-items: start;
	}

	.item-span {
		height: fit-content;
	}

	.item-description {
		font-size: var(--text);
	}

	.item-more {
		text-align: start;
		border: unset;
		background-color: unset;
		color: var(--secondary-color);
		padding: unset;
		text-decoration: underline;
		text-decoration-skip-ink: none;
		-ms-text-underline-position: under;
		text-underline-position: below;
		line-height: 120%;
		margin: unset;
	}

	.nav {
		margin-top: 11.538vh;
		font-size: 1.094vw;
	}

	.pages.desktop {
		display: flex;
	}

	.pages.mobile {
		display: none;
	}

	.arrow {
		gap: 0.625vw;
		cursor: pointer;
		text-decoration: none;
	}

	.arrow img {
		width: 0.938vw;
		padding: 0.501vh 0.326vw;
	}

	.arrow span {
		display: unset;
		text-decoration: none;
		border-bottom: 2px solid var(--tetriary-color);
	}

	.arrow span:visited {
		text-decoration-color: var(--tetriary-color);
	}

	.pages.desktop {
		gap: 0.156vw;
		align-items: center;
	}

	.pages.pages.desktop a {
		text-decoration: none;
		color: var(--tetriary-color);
		padding: 1.442vh 1.289vw;
		border: none;
		background-color: unset;
		border-radius: 0.625vw;
		font-family: "Inter Semi";
		font-weight: normal;
		font-size: 1.094vw;
		cursor: pointer;
	}

	.pages.desktop a[data-activepage] {
		background-color: rgba(58, 140, 128, 0.3);
		color: var(--accent);
		line-height: 2.404vh;
	}

	.pages.desktop span {
		text-align: end;
		height: fit-content;
	}
}
